net.fortuna.ical4j.model.property

## Class Clazz

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Clazz

All Implemented Interfaces:
  Serializable

    public class Clazz
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a CLASS iCalendar property.

         4.8.1.3 Classification

            Property Name: CLASS

            Purpose: This property defines the access classification for a
            calendar component.

            Value Type: TEXT

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: The property can be specified once in a "VEVENT",
            "VTODO" or "VJOURNAL" calendar components.

            Description: An access classification is only one component of the
            general security system within a calendar application. It provides a
            method of capturing the scope of the access the calendar owner
            intends for information within an individual calendar entry. The
            access classification of an individual iCalendar component is useful
            when measured along with the other security components of a calendar
            system (e.g., calendar user authentication, authorization, access
            rights, access role, etc.). Hence, the semantics of the individual
            access classifications cannot be completely defined by this memo
            alone. Additionally, due to the "blind" nature of most exchange
            processes using this memo, these access classifications cannot serve
            as an enforcement statement for a system receiving an iCalendar
            object. Rather, they provide a method for capturing the intention of
            the calendar owner for the access to the calendar component.

            Format Definition: The property is defined by the following notation:

              class      = "CLASS" classparam ":" classvalue CRLF

              classparam = *(";" xparam)

              classvalue = "PUBLIC" / "PRIVATE" / "CONFIDENTIAL" / iana-token
                         / x-name
              ;Default is PUBLIC

            Example: The following is an example of this property:

              CLASS:PUBLIC

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static Clazz` `CONFIDENTIAL` Constant for confidential classification.
`static Clazz` `PRIVATE` Constant for private classification.
`static Clazz` `PUBLIC` Constant for public classification.

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Clazz()` Default constructor.
`Clazz(ParameterList aList, String aValue)`
`Clazz(String aValue)`

### Method Summary

Methods
`String` `getValue()`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PUBLIC

    public static final Clazz PUBLIC

Constant for public classification.

#### PRIVATE

    public static final Clazz PRIVATE

Constant for private classification.

#### CONFIDENTIAL

    public static final Clazz CONFIDENTIAL

Constant for confidential classification.

### Constructor Detail

#### Clazz

    public Clazz()

Default constructor.

#### Clazz

    public Clazz(String aValue)

Parameters:
  `aValue` - a value string for this component

#### Clazz

    public Clazz(ParameterList aList,
         String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

### Method Detail

#### setValue

    public void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state